Subject: bug#74616: 30.0.92; tmm always displays the *Completions* buffer

From: Stefan Monnier <[email-masked]>
Date: Sun, 08 Dec 2024 10:33:53 -0500

> So is the plan to add a completion metadata `eager-display' such that
> completion tables can request immediate display? This completion
> metadata can then be overridden by the user via
> `completion-category-overrides'. The patch would include changes to tmm,
> ffap-menu and imenu (obsoleting `imenu-eager-completion-buffer').

That sounds good, except that in order for
`completion-category-overrides` to work reliably, the `eager-display`
should not be in the metadata but in `completion-category-defaults`.

        Stefan